Skip to main content
GET
Get aggregated FastEdge usage statistics

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

from
string<date-time>
required

Start date-time in RFC3339 format

to
string<date-time>
required

End date-time in RFC3339 format

client
integer<int64>[]

Filter by client ID. Repeat to pass several clients. Omit to include all accessible clients.

Required range: x >= 1
group_by
enum<string>[]

Dimensions to group the statistics by. Repeat to group by several dimensions.

Available options:
client,
app,
region,
country

Response

Returns aggregated statistics rows for the specified period

total_count
integer<int64>
required

Total number of requests in the group

exec_time
object
required

Execution-time statistics in milliseconds

status_counts
object
required

Request counts by HTTP status class.

client_id
integer<int64>

Client ID (present when grouped by client)

app_id
integer<int64>

Application ID (present when grouped by app)

region
string

Region (present when grouped by region)

country
string

Country (present when grouped by country)